<!--
 Deployment page.
 update.php
 Lists, adds and removes PageBoxe archives.
 Version 0.0.4
 Changes:
 0.0.4 Classes stored in pagebox.inc
 Copyright (c) 2001-2002 Alexis Grandemange
 Mail: alexis.grandemange@pagebox.net
 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; version
 2.1 of the License.
 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 GNU Lesser General Public License for more details.
 A copy of the GNU Lesser General Public License lesser.txt should be
 included in the distribution.
 -->
<html>
<head>
<meta http-equiv="Cache-Control" content="no-cache">
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta name="Description" content="PHP Pagebox update">
<meta name="keywords" content="Update, PHP, Pagebox">
<link rel="stylesheet" href="pagebox.css" type="text/css">
<script src="pagebox.js"></script>
<title>PHP Pagebox update</title>
</head>
<body>
<?php
include("pagebox.inc");
/**
 * Restores pbArchive.
 */
$status = "";
if (file_exists("pbArchives.pb")) {
  $s = implode("", @file("pbArchives.pb"));
  $PbArchivesObj = unserialize($s);
} else {
  $PbArchivesObj = new PbArchives;
}
/**
 * Request analysis
 * Expects:
 * update.php?download=...&from=...&owner=...&size=...&date=... or
 * update.php?delete=...
 */
$isModified = false;
if (key_exists("download", $HTTP_GET_VARS)) {
  $status = $PbArchivesObj->add($HTTP_GET_VARS["download"], $HTTP_GET_VARS["from"], $HTTP_GET_VARS["owner"],
    $HTTP_GET_VARS["size"], $HTTP_GET_VARS["date"], $HTTP_GET_VARS["doc"]);
  $isModified = true;
} elseif (key_exists("delete", $HTTP_GET_VARS)) {
  $status = $PbArchivesObj->delete($HTTP_GET_VARS["delete"]);
  $isModified = true;
}
/**
 * Save pbArchive.
 */
if ($isModified) {
  if ($PbArchivesObj->archives != NULL) {
    reset($PbArchivesObj->archives);
    ksort($PbArchivesObj->archives, SORT_STRING);
  }
  $s = serialize($PbArchivesObj);
  $fp = fopen("pbArchives.pb", "w");
  fputs($fp, $s);
  fclose($fp);
}
?>
<table width="100%"><tr>
<td align="left" width="8%">
<a href="http://pagebox.net/php/php-index.html" style="text-decoration:none;background:white;color:white">
<img src="logo.gif" alt="PHP Pagebox update" border="0"></a></td>
<td align="left"><h1>Update</h1></td>
<td align="right"><a href="environment.php" alt="PHP environment">Environment</a></td>
<td align="right"><a href="mailto:support@pagebox.net">
<img src="mail.gif" alt="support@pagebox.net" border="0"></a></td></tr></table>
<table width="100%"><tr bgcolor="maroon">
<th width="16%">Archive</th><th width="24%">Download location</th>
<th width="8%">Owner</th><th width="20%">Date</th><th width="8%">Size</th>
<th width="24%">Documentation</th></tr>
<?php
/**
 * Lists deployed archives.
 */
if ($PbArchivesObj->archives != NULL) {
  while (list($key, $value) = each ($PbArchivesObj->archives)) {
    echo '<td width="16%">', $key, '</td>';
    echo '<td width="24%">', $value->download, '</td>';
    echo '<td width="8%">', $value->owner, '</td>';
    echo '<td width="20%">', $value->date, '</td>';
    echo '<td width="8%">', $value->size, '</td>';
    echo '<td width="24%"><a href="', $value->doc, '">', $value->doc, '</a></td></tr>';
  }
}
?>
</table>
<p class="timestamp"><?= $status ?></p>
<p align="center">&#169;2002 Alexis Grandemange.
<font class="timestamp">Last modified
<script>document.write(document.lastModified);</script>.
</font></p>
</body>
</html>